Package ru.bitel.bgbilling.modules.subscription.server.bean

# Class SubscriptionPeriodDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RegistrationPeriod>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RegistrationPeriod>
ru.bitel.bgbilling.modules.subscription.server.bean.SubscriptionPeriodDao

public class SubscriptionPeriodDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RegistrationPeriod>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `userId`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionPeriodDao(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected RegistrationPeriod`
  `getFromRS(ResultSet rs)`
  `List<RegistrationPeriod>`
  `list(int subscriptionId)`
  `Map<Integer,RegistrationPeriod>`
  `map(List<Integer> registrationPeriodIds)`
  `protected void`
  `updateImpl(RegistrationPeriod registrationPeriod)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### userId

    protected final int userId

- ## Constructor Details

  - ### SubscriptionPeriodDao

    public SubscriptionPeriodDao(Connection con, int moduleId, int userId)

- ## Method Details

  - ### getFromRS

    protected RegistrationPeriod getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegistrationPeriod>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RegistrationPeriod registrationPeriod) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegistrationPeriod>`
    Throws:
      `SQLException`

  - ### list

    public List<RegistrationPeriod> list(int subscriptionId) throws SQLException
    Throws:
      `SQLException`

  - ### map

    public Map<Integer,RegistrationPeriod> map(List<Integer> registrationPeriodIds) throws SQLException
    Throws:
      `SQLException`